# Generated by Django 3.0.7 on 2020-06-19 22:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='WearType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('position', models.CharField(choices=[('head', 'Голова'), ('neck', 'Шея'), ('outerwear', 'Верхняя одежда'), ('body', 'Тело'), ('legs', 'Ноги'), ('footwear', 'Обувь'), ('arms', 'Руки'), ('face', 'Лицо'), ('accessory', 'Аксессуар')], max_length=20)),
                ('description', models.CharField(blank=True, max_length=256)),
                ('icon', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='WearSet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('style', models.CharField(choices=[('casual', 'Кэжуал'), ('classic', 'Классический'), ('sport', 'Спортивный стиль'), ('glamur', 'Гламур')], default='casual', max_length=10)),
                ('max_temp', models.FloatField(default=0)),
                ('image', models.CharField(blank=True, max_length=256)),
                ('wear_types', models.ManyToManyField(related_name='sets', to='clothes.WearType')),
            ],
        ),
        migrations.CreateModel(
            name='Wear',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='clothes.WearType')),
            ],
        ),
    ]
